Bug 209214 - [maintainer update][patch] www/node010, www/node012: mark as deprecated with expiration dates
Summary: [maintainer update][patch] www/node010, www/node012: mark as deprecated with ...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Kurt Jaeger
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2016-05-02 21:24 UTC by Bradley T. Hughes
Modified: 2016-05-04 05:46 UTC (History)
1 user (show)

See Also:


Attachments
patch from a git commit, apply with patch -p1 (1.44 KB, text/plain)
2016-05-02 21:24 UTC, Bradley T. Hughes
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bradley T. Hughes freebsd_committer 2016-05-02 21:24:33 UTC
Created attachment 169894 [details]
patch from a git commit, apply with patch -p1

The recent release of node.js v6.0.0 has a clear message to users of 0.10.x and 0.12.x: it's time to upgrade. See https://nodejs.org/en/blog/release/v6.0.0/#what-about-node-js-v0-10-and-v0-12
    
The expiration dates are taken from the LTS schedule published by the node.js project, see https://github.com/nodejs/LTS#lts_schedule
Comment 1 Kurt Jaeger freebsd_committer 2016-05-04 05:46:02 UTC
Committed, thanks!
Comment 2 commit-hook freebsd_committer 2016-05-04 05:46:41 UTC
A commit references this bug:

Author: pi
Date: Wed May  4 05:45:55 UTC 2016
New revision: 414582
URL: https://svnweb.freebsd.org/changeset/ports/414582

Log:
  www/node010: deprecate, expires at 2016-10-01
  www/node012: deprecate, expires at 2017-04-01

  Upstream signals that those will run out of support:
    https://nodejs.org/en/blog/release/v6.0.0/#what-about-node-js-v0-10-and-v0-12
  Dates taken from long-term support schedule:
    https://github.com/nodejs/LTS#lts_schedule

  PR:		209214
  Submitted by:	Bradley T. Hughes <bradleythughes@fastmail.fm> (maintainer)

Changes:
  head/www/node010/Makefile
  head/www/node012/Makefile